Subject: RE: [Syslog-sec] Sturctured Data & Unicode

From: "Anton Okmianski" <[email-masked]>
Date: Tue, 5 Oct 2004 16:41:26 -0400

Rainer:

I second David's opinion.  I don't see how control characters in tag
names are any different than control characters in message content
which we allow.  

BTW, I am back from 2 week vacation. Sorry for a long silence on the
message size and fragmentation issue.  I am going to revisit it this
week. I am consulting with more people. 

Thanks,
Anton. 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf 
> Of Rainer Gerhards
> Sent: Monday, September 20, 2004 12:48 PM
> To: [email-masked]; [email-masked]
> Subject: RE: [Syslog-sec] Sturctured Data & Unicode
> 
> 
> David,
> 
> I mostly agree with you. I have updated the draft in your 
> spirit. There is one issue left - that is control characters 
> in the structured data names. I would like to make sure that 
> only printable characters are used for names. But what does 
> printable mean in Unicode? As of my understanding, stating 
> something like "printable Unicode characters" does not really 
> make sense, as what printable is largely depends on the 
> installed character sets. Or should I simply outrule the 
> US-ASCII control character range - but this leaves e.g. 
> Japanese width control characters open...
> 
> I would appreciate any advise you can offer.
> 
> Many thanks for all of your great help! 
> 
> Rainer
> 
> > -----Original Message-----
> > From: David B Harrington [mailto:[email-masked]]
> > Sent: Monday, September 20, 2004 5:35 PM
> > To: Rainer Gerhards; [email-masked]
> > Subject: RE: [Syslog-sec] Sturctured Data & Unicode
> > 
> > Hi,
> > 
> > If you are suggesting what I think you are suggesting, I 
> disagree with 
> > this approach.
> > 
> > What I hear you saying is, we will allow, say, a Japanese 
> operator to 
> > express **values** in a Japanese langauge, but they need to learn
a 
> > US-ASCII based language to read the **name** for the data 
> point. This 
> > strikes me as being rather biased in favor of people that use 
> > languages that are US-ASCII based. It would be easier for that 
> > Japanese operator to be able to design their name-value 
> pairs fully in 
> > Japanese, both name and value.
> > 
> > I also don't see why such a restriction is necessary. There is no 
> > extra cost borne by US-ASCII language based users for allowing a 
> > Unicode format, since US-ASCII is a subset of Unicode and no extra

> > bits on the wire are required for their US-ASCII name-value 
> pairs when 
> > written in Unicode format.
> > 
> > If you want to ensure that IETF-STANDARD name-value pairs are 
> > understandable to the largest community, then requiring that IETF 
> > standards-track names be specified in US-ASCII, that would 
> make some 
> > sense, but I think it probably should go further and 
> require that the 
> > names be in English, just as it is a requirement that 
> Internet-Drafts 
> > and RFCs be written in English. But this should NOT mean 
> that the name 
> > field, if it can also contain names that are not standards-track, 
> > should be restricted to support only US-ASCII format.
> > 
> > I am also a bit concerned that requiring names to only support 
> > US-ASCII will lead implementors to only support US-ASCII for the 
> > values as well, and that would be unfair to a large, and growing, 
> > percentage of Internet users.
> > 
> > So I tend to disagree with the suggestion to limit the name to 
> > US-ASCII.
> > 
> > David Harrington
> > [email-masked]
> > 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On Behalf Of Rainer 
> > Gerhards
> > Sent: Monday, September 20, 2004 9:47 AM
> > To: [email-masked]
> > Subject: [Syslog-sec] Sturctured Data & Unicode
> > 
> > Hi list,
> > 
> > STRUCTURED-DATA is currently specified as All-Unicode. 
> STRUCTURED-DATA 
> > consists of structured data elements. Each of them consists 
> of a name 
> > and name-value pairs.
> > 
> > After going through some scenarios, I think we do NOT need 
> to support 
> > full Unicode in the name tags. So I propose we allow 
> Unicode only in 
> > the values and limit the name tags to US-ASCII. If nobody 
> objects, I 
> > will edit the draft in this way.
> > 
> > Thanks,
> > Rainer
> > _______________________________________________
> > Syslog-sec mailing list
> > [email-masked] 
> > http://www.employees.org/mailman/listinfo/syslog-sec
> > 
> > 
> > 
> _______________________________________________
> Syslog-sec mailing list
> [email-masked] 
> http://www.employees.org/mailman/listinfo/syslog-sec
> 

_______________________________________________
Syslog-sec mailing list
[email-masked]
http://www.employees.org/mailman/listinfo/syslog-sec